﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.OutlookBar;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void OutlookBarGroup_Loaded(object sender, RoutedEventArgs e)
        {
            (sender as OutlookBarGroup).PropertyChanged += OutlookBarGroup_PropertyChanged;
        }

        private void OutlookBarGroup_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            if (e.PropertyName == "Visibility")
            {
                int currentIndex = (sender as OutlookBarGroup).OutlookBar.Groups.IndexOf(sender as OutlookBarGroup);
                if (currentIndex == (sender as OutlookBarGroup).OutlookBar.Groups.Count-1)
                {
                    (sender as OutlookBarGroup).OutlookBar.Groups[currentIndex - 1].IsSelected = true;
                }
                else
                    (sender as OutlookBarGroup).OutlookBar.Groups[currentIndex + 1].IsSelected = true;
            }
        }        
    }
}